aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndré Erdmann <dywi@mailerd.de>2015-03-01 23:24:08 +0100
committerAndre Erdmann <dywi@mailerd.de>2019-04-27 18:26:00 +0200
commit29192a9a1bf2ad26f1fcc0fb5fe329aed1319b15 (patch)
tree99639c17d5cf346fa7d3bd39af135962bb43d586
parentinit: create lib64 links only if necessary (diff)
downloadbetter-initramfs-29192a9a1bf2ad26f1fcc0fb5fe329aed1319b15.tar.xz
better-initramfs-29192a9a1bf2ad26f1fcc0fb5fe329aed1319b15.zip
functions.sh: do not hardcode cryptsetup path
-rwxr-xr-xsourceroot/functions.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/sourceroot/functions.sh b/sourceroot/functions.sh
index a6a1c4b..672fd11 100755
--- a/sourceroot/functions.sh
+++ b/sourceroot/functions.sh
@@ -226,7 +226,7 @@ get_majorminor() {
}
InitializeLUKS() {
- if [ ! -f /bin/cryptsetup ]; then
+ if ! command -v cryptsetup 1>/dev/null 2>&1; then
eerror "There is no cryptsetup binary into initramfs image."
rescueshell
fi